import request from '@/utils/request'
import qs from 'qs'

/**
 * 支付配置接口
 */

// 获取支付配置列表
const getList = function() {
    return request({
        url: '/payConfig/findPageList.do',
        method: 'post'
    })
}

// 添加支付配置（废弃）
// const addConfig = function(data) {
//     const formData = new FormData()
//     for (const key in data) {
//         formData.append(key, data[key])
//     }
//     console.log(formData)
//     return request({
//         url: '/payConfig/addConfig.do',
//         method: 'post',
//         data: formData
//     })
// }

// 修改支付配置（废弃）
// const updateConfig = function(params) {
//     return request({
//         url: '/payConfig/updatePayConfig.do',
//         method: 'get',
//         params
//     })
// }

// 删除支付配置
const delConfig = function(payConfigId) {
    return request({
        url: '/payConfig/delete.do',
        method: 'post',
        data: qs.stringify({
            payConfigId
        })
    })
}

// 开启关闭配置使用状态
const useStatus = function(params) {
    return request({
        url: '/payConfig/useStatus.do',
        method: 'get',
        // data: qs.stringify(params)
        params
    })
}

export default {
    getList,
    // addConfig,
    // updateConfig,
    delConfig,
    useStatus
}
